import logging
import tomllib

from hasspy.mqtt import HassClient


def main() -> None:
    logging.basicConfig(level=logging.INFO)

    with open("config.toml", "rb") as file:
        config = tomllib.load(file)

    ha = HassClient(
        "orchomenos",
        config=config,
    )

    ha.loop_forever()


if __name__ == "__main__":
    main()
